ThreadNetworkManagementTrait.JoinNetworkCommand

object ThreadNetworkManagementTrait.JoinNetworkCommand : CommandDescriptor


Request to join a Thread network using the provided operational dataset. If the border router device is already part of a network, this command will cause it to attempt to migrate to the network together with all Thread devices attached to it.

See also
joinNetwork

Use this command from the trait(ThreadNetworkManagement) method.

Summary

Nested types

The request payload for the JoinNetwork command.

Descriptor enum for this command's request fields.

The response from the JoinNetwork command, containing the status of the command.

Descriptor enum for this command's response fields.

Public properties

open String

Unique id corresponding to the command.

open String

Human-friendly name of the command.

Public functions

getCommandRequestFieldByName

@HomeExperimentalGenericApi
open fun getCommandRequestFieldByName(name: String): Field?

Public properties

commandId

open val commandId: String

Unique id corresponding to the command.

commandName

open val commandName: String

Human-friendly name of the command.